.checkbox label:after, 
.radio label:after {
    content: '';
    display: table;
    clear: both;
}

.checkbox .cr,
.radio .cr {
    position: relative;
    display: inline-block;
    border: 1px solid #b7e3fa;
	background-color: #fff;
    border-radius: .25em;
    width: 1.3em;
    height: 1.3em;
    float: left;
    margin-right: .3em;
}

.radio .cr {
    border-radius: 50%;
}

.checkbox .cr .cr-icon,
.radio .cr .cr-icon {
    position: absolute;
    font-size: .8em;
    line-height: 0;
    top: 50%;
    left: 20%;
}

.radio .cr .cr-icon {
    margin-left: 0.04em;
}

.checkbox label input[type="checkbox"],
.radio label input[type="radio"] {
    display: none;
}

.checkbox label input[type="checkbox"] + .cr > .cr-icon,
.radio label input[type="radio"] + .cr > .cr-icon {
    /*transform: scale(3) rotateZ(-20deg);*/
    opacity: 0;
    transition: all .3s ease-in;
	color: #2871b7cc;
	
}


.checkbox label input[type="checkbox"]:checked + .cr > .cr-icon,
.radio label input[type="radio"]:checked + .cr > .cr-icon {
    transform: scale(1) rotateZ(0deg);
    opacity: 1;
	
}

#order_rlanding{
	display: none;
}

input#FromValue1, input#ToValue1{
	padding: 10px 15px;
    width: 85px;
    text-align: center;
    color: #689bcc;
	font-size: 16px;
    font-weight: 600;
    border: 1px solid #b7e3fa;
    background-color: #fff;
    border-radius: 0.25em;
}

input#FromValue1::-webkit-outer-spin-button,
input#FromValue1::-webkit-inner-spin-button {
    -webkit-appearance: none;
}

input#ToValue1::-webkit-outer-spin-button,
input#ToValue1::-webkit-inner-spin-button {
    -webkit-appearance: none;
}

input#FromValue1:focus, input#ToValue1:focus{
	outline: 2px solid #b7e3fa;
}

.filter-slider {
	width: 100%;
}

.filter-slider .slider {
	-webkit-appearance: none;
	width: 100%;
	height: 15px;
	margin: 5px 0;
	background: #d3d3d3;
	border-radius: 4px;
	outline: none;
	opacity: 0.7;
	-webkit-transition: .2s;
	transition: opacity .2s;
}

.filter-slider .slider:hover {
	opacity: 1;
}

.filter-slider .slider::-webkit-slider-thumb {
	-webkit-appearance: none;	
	appearance: none;
	width: 25px;
	height: 25px;
	border-radius: 8px;
	background: #2871b7;
	cursor: pointer;
}

.filter-slider .slider::-moz-range-thumb {
	width: 25px;
	height: 25px;
	background: #2871b7cc;
	border-radius: 8px;
	cursor: pointer;
}

.filters-v-wrap{
	display: inline-block;
	height: 100%;
	margin: 0 10px;
}

.filters-l{
	margin: 0 0 10px;
	display: block;
	border-radius: 4px;
	width: 310px;
	font-family: Calibri,sans-serif;
	font-size: 12px;
	background-color: #e1f3fd;
	/*box-shadow: 0 0px 13.2px rgba(0, 0, 0, 0.014),
				0 0px 19px rgba(0, 0, 0, 0.02),
				0 0px 22.2px rgba(0, 0, 0, 0.025),
				0 0px 24.7px rgba(0, 0, 0, 0.03),
				0 0px 28.7px rgba(0, 0, 0, 0.036),
				0 0px 40px rgba(0, 0, 0, 0.05);
	-webkit-box-shadow: 0 0px 13.2px rgba(0, 0, 0, 0.014),
						0 0px 19px rgba(0, 0, 0, 0.02),
						0 0px 22.2px rgba(0, 0, 0, 0.025),
						0 0px 24.7px rgba(0, 0, 0, 0.03),
						0 0px 28.7px rgba(0, 0, 0, 0.036),
						0 0px 40px rgba(0, 0, 0, 0.05);
	-moz-box-shadow: 0 0px 13.2px rgba(0, 0, 0, 0.014),
					0 0px 19px rgba(0, 0, 0, 0.02),
					0 0px 22.2px rgba(0, 0, 0, 0.025),
					0 0px 24.7px rgba(0, 0, 0, 0.03),
					0 0px 28.7px rgba(0, 0, 0, 0.036),
					0 0px 40px rgba(0, 0, 0, 0.05);*/
}

.filters-l-section{ 
	text-align: left;
}

.filters-l-title{ 
	font-size: 18px;
	font-weight: bold;
	text-align: left;
	padding: 10px 20px;
	position: relative;
	color: #2871b7;
}

.filters-l-title:hover{
	background-color: #cfecfc;
	cursor: pointer;
}

.filters-l-title.active{
	background-color: #cfecfc;
}

.filters-l-subtitle{ 
	font-size: 16px;
	font-weight: bold;
	color:  #2871b7;
	padding-left: 10px;
	padding-top: 5px;
}

.filters-l-section > .checkbox{
	margin: 10px 25px;
}

.filters-l-content > .checkbox{
	padding: 5px 0;
    color: #2871b7;
    border-bottom: 1px solid #b7e3fa;
}

.filters-l-content .checkbox>label{
	padding: 5px;
}

.filters-l-content > .checkbox[data-is-checked="1"]{
	padding: 5px 0 0;
}

.filters-l-content > .checkbox:last-child{
	border-bottom: none;
}

.filters-l-content > .checkbox > .dest-content > .sub-checkbox{
	padding: 5px 0 0 10px;
    display: inline-flex;
    width: 49%;
}

.filters-l-content > .filter-slider{
	padding: 5px 25px;
}

.dest-content{
	position: relative;
	display: none;
	background-color: #cfecfc;
	padding: 5px 10px;
	width: 100%;
}

.dest-content.visible{
	display: inline-block;
	max-height: 185px;
    overflow: hidden;
}

.dest-content.visible.city-expand{
	max-height: unset;
	padding: 5px;
}

.dest-expander{
	float: right;
    margin: 5px 5px 0 0;
    cursor: pointer;
    padding: 5px 6px;
    background-color: #fff;
    border-radius: 100%;
}

.dest-expander:after{
	font-family: "Font Awesome 5 Free";
	font-weight: 900;
	color: #6bc76b;
	content: "\f067";
}

.dest-expander.expanded:after{
	font-family: "Font Awesome 5 Free";
	font-weight: 900;
	color: #ff0000;
	content: "\f068";
}

.city-expander{
	display: none;
	position: absolute;
    padding: 10px;
    font-size: 1.3em;
    text-align: center;
	background-image: linear-gradient(rgba(207, 236, 252, 0.5), rgba(225, 243, 252, 1));
    bottom: 0;
    left: 0;
    width: 100%;
}

.city-expander:hover{
	cursor: pointer;
	color: #fda54e;
}

.dest-content.visible .city-expander{
	display: block;
	z-index: 1;
}

.filters-v{
	display: block;
	border-radius: 4px;
	width: 310px;
	font-family: Calibri,sans-serif;
	font-size: 12px;
	background-color: #fff;
	box-shadow: 0 0px 13.2px rgba(0, 0, 0, 0.014),
				0 0px 19px rgba(0, 0, 0, 0.02),
				0 0px 22.2px rgba(0, 0, 0, 0.025);
	-webkit-box-shadow: 0 0px 13.2px rgba(0, 0, 0, 0.014),
						0 0px 19px rgba(0, 0, 0, 0.02),
						0 0px 22.2px rgba(0, 0, 0, 0.025);
	-moz-box-shadow: 0 0px 13.2px rgba(0, 0, 0, 0.014),
					0 0px 19px rgba(0, 0, 0, 0.02),
					0 0px 22.2px rgba(0, 0, 0, 0.025);
}

.filters-v-section{ 
	position: relative;
	border-bottom: 1px solid #ebebeb;
	text-align: left;
}

.filters-v-section.filter-section-selected{ 
	position: relative;
}

.filters-v-section.filter-section-selected::before, .filters-v-section.filter-section-selected::before{ 
	font-family: "Font Awesome 6 free";
    content: "\f111" !important;
    font-size: 24px;
    color: #6bc76b !important;
    padding: 0 10px;
    font-weight: 900;
    right: 0;
    top: 12px;
    position: absolute;
	z-index: 1;
}

.filters-v-section.filter-section-selected::after, .filters-v-section.filter-section-selected::after{ 
	content: attr(data-content);
    font-size: 16px;
    color: #fff !important;
    padding: 0px 18px;
    font-weight: 900;
    right: 0;
    top: 13px;
    position: absolute;
    z-index: 1;
}

.filters-v-section-end{ 
	padding: 10px;
	text-align: right;
}

.del-all-filters{
	color: #2871b7;
	background-color: #fff;
	padding: 12px 16px;
	border: none;
	outline: none;
}

.del-all-filters:hover{
	text-decoration: underline;
}

.confirm-filters{
	color: #fff;
	background-color: #fda54e;
	padding: 12px 16px;
	border: none;
	outline: none;
}


.filters-v-maintitle{ 
	font-size: 22px;

	font-weight: bold;
}
.filters-v-title{ 
	font-size: 16px;
	font-weight: bold;
	text-align: left;
	padding: 14px 20px;
	position: relative;
}

.filters-v-title:hover{
	background-color: #f2f2f2;
	cursor: pointer;
}

.filters-v-title.active{
	background-color: #fff;
}

.filters-v-subtitle{ 
	font-size: 16px;
	font-weight: bold;
	color:  #6f6967;
	padding-left: 10px;
	padding-top: 5px;
}

.filters-v-section > .checkbox{
	margin: 10px 25px;
}

/* .filters-v-content{
	padding: 0px 0px 10px 0px; 
} */

.filters-v-content > .checkbox{
	padding: 5px 15px;
}

.filters-v-content > .filter-slider{
	padding: 5px 25px;
}

.filters-v-content .checkbox img{
	width: 30px;
}

.filters-v-content .checkbox img.grayscaled {
	filter: grayscale(100%);
}

.filters-v-wrap.sticky-filters{ 
	max-height: 100vh;
	position: sticky;
	display: inline-block;
	top: 0;
	overflow: auto;
	font-family: Calibri,sans-serif;
	font-size: 12px;
}

.filters-v-wrap.sticky-filters::-webkit-scrollbar {
	width: 2px;
}

/* Track */
.filters-v-wrap.sticky-filters::-webkit-scrollbar-track {
	background: #f1f1f1; 
}
 
/* Handle */
.filters-v-wrap.sticky-filters::-webkit-scrollbar-thumb {
	background: #888;
	border-radius: 2px;
}

/* Handle on hover */
.filters-v-wrap.sticky-filters::-webkit-scrollbar-thumb:hover {
	background: #555; 
}

.filters-v-wrap.sticky-filters .filters-v-title::after ,.filters-v.filter-main .filters-v-title::after{
    font-family: "Font Awesome 5 Free";
    content: "\f107";
    font-size: 15px;
    display: inline-block;
    color: #000;
    padding: 0 10px;
    font-weight: 900;
    right: 0;
    top: 15px;
    position: absolute;
}

.filters-v-wrap.sticky-filters .filters-v-title.active::after ,.filters-v.filter-main .filters-v-title.active::after{
    font-family: "Font Awesome 5 Free";
    content: "\f106";
    font-size: 15px;
    display: inline-block;
    color: #000;
    padding: 0 10px;
    font-weight: 900;
    right: 0;
    top: 15px;
    position: absolute;
}

.filters-v-wrap.sticky-filters .filters-v-content, .filters-v-content.main-search-filter-content{
	/* max-height: 0; */
	display: none;
    overflow: hidden;
    transition: max-height 0.2s ease-out;
}

.filters-v-title.active + .filters-v-content{
	/* max-height: 100%; */
	display: block;
}




.filters-main-wrap{
	display: none;
	position: absolute;
	width: 100%;
	top: 45px;
	left: 0;
	background-color: #fff;
	z-index: 999;
    min-height: 100%;
    border-radius: 0 0 4px 4px;
    -webkit-box-shadow: 0 1px 1px rgb(0 0 0 / 12%), 0 2px 2px rgb(0 0 0 / 12%), 0 4px 4px rgb(0 0 0 / 12%), 0 8px 8px rgb(0 0 0 / 12%), 0 16px 16px rgb(0 0 0 / 12%);
    -moz-box-shadow: 0 1px 1px rgba(0,0,0,0.12), 0 2px 2px rgba(0,0,0,0.12), 0 4px 4px rgba(0,0,0,0.12), 0 8px 8px rgba(0,0,0,0.12), 0 16px 16px rgba(0,0,0,0.12);
    box-shadow: 0 1px 1px rgb(0 0 0 / 12%), 0 2px 2px rgb(0 0 0 / 12%), 0 4px 4px rgb(0 0 0 / 12%), 0 8px 8px rgb(0 0 0 / 12%), 0 16px 16px rgb(0 0 0 / 12%);
}

.showfilters + .filters-main-wrap{
	display: block;
}

.filters-v.filter-main{
	width: 100%;
}

.filters-v-content.main-search-filter-content > .checkbox{
	display: inline-block;
	padding: 5px 30px 5px 5px;
}

.mini-filter-wrap{
	display: inline-block;
	text-align: left;
	padding: 0;
}

.mini-filter{
	display: inline-block;
	position: relative;
	padding: 5px 10px 5px 10px;
	margin: 5px 5px 0px 5px;
	font-size: 14px;
	background-color: #2871b7;
	color: #fff;
	overflow: hidden;
	border-radius: 50px;
	-webkit-box-shadow: 0 1px 1px rgb(0 0 0 / 12%), 0 2px 2px rgb(0 0 0 / 12%), 0 4px 4px rgb(0 0 0 / 12%), 0 8px 8px rgb(0 0 0 / 12%), 0 16px 16px rgb(0 0 0 / 12%);
    -moz-box-shadow: 0 1px 1px rgba(0,0,0,0.12), 0 2px 2px rgba(0,0,0,0.12), 0 4px 4px rgba(0,0,0,0.12), 0 8px 8px rgba(0,0,0,0.12), 0 16px 16px rgba(0,0,0,0.12);
    box-shadow: 0 1px 1px rgb(0 0 0 / 12%), 0 2px 2px rgb(0 0 0 / 12%), 0 4px 4px rgb(0 0 0 / 12%), 0 8px 8px rgb(0 0 0 / 12%), 0 16px 16px rgb(0 0 0 / 12%);
}

.mini-filter:hover{
	cursor: pointer;
}

/*.mini-filter::before{
	font-family: "Font Awesome 5 Free";
	content: "\f00d";
	font-size: 14px;
	font-weight: 600;
    position: absolute;
	padding: 5px 8px;
	top: 0;
	left: -25px;
    border-radius: 50px;
    background: #ff0000;
    transition: 0.5s ease;
}*/

.mini-filter-title img{
	width: 20px;
}

.mini-filter-value{
	display: none;
}

.mini-filter-del{
	margin: 0 0 0 5px;
	padding: 2px 5px;
    border-radius: 50px;
}

.mini-filter-del:hover{
	background-color: #fff;
	color: #fda54e;
}

.group-filters-buttons-wrap{
	display: none;
}

.filter-confirmation-buttons-wrap{
	display: none;
}

@media screen and (max-width: 600px) {
	
	.group-filters-buttons-wrap {
		display: block;
		font-size: 14px;
	}
	
	.group-filters-buttons-container{
		display: flex;
		flex-direction: column;
		flex-direction: row;
		justify-content: space-between;
		margin: 0 0 5px 0;
	}
	
	.group-filters-button-wrap{
		/* width: 49%; */
	}
	
	.m-filters-wrap{
		position: relative;
	}
	
	.m-filters-wrap.notify::after{
		font-family: "Font Awesome 6 free";
		content: "\f06a" !important;
		font-size: 15px;
		color: #6bc76b !important;
		padding: 0 10px;
		font-weight: 900;
		right: 0;
		top: 15px;
		position: absolute;
	}
	
	.group-filters-button-m{
		padding: 11.5px 0px;
		border-radius: 4px;
		background-color: #f9f9f9;
		border: 1px solid #ebebeb;
		/* box-shadow: 0 0px 13.2px rgb(0 0 0 / 1%), 0 0px 19px rgb(0 0 0 / 2%), 0 0px 22.2px rgb(0 0 0 / 3%), 0 0px 24.7px rgb(0 0 0 / 3%);
		-webkit-box-shadow: 0 0px 13.2px rgb(0 0 0 / 1%), 0 0px 19px rgb(0 0 0 / 2%), 0 0px 22.2px rgb(0 0 0 / 3%), 0 0px 24.7px rgb(0 0 0 / 3%);
		-moz-box-shadow: 0 0px 13.2px rgba(0, 0, 0, 0.014), 0 0px 19px rgba(0, 0, 0, 0.02), 0 0px 22.2px rgba(0, 0, 0, 0.025), 0 0px 24.7px rgba(0, 0, 0, 0.03); */
	}
	
	.group-filters-button-m::before{
		font-family: "Font Awesome 6 Free";
		content: "\f1de";
		font-size: 14px;
		font-weight: 900;
		position: relative;
		left: -10px;
	}
	
	.group-filters-button-m-destination{
		background-color: #e1f3fd;
		color: #2871b7;
	}
	
	.group-filters-button-m-filters{
		padding: 8px 18px;
	}
	
	.group-filters-button-m-destination{
		padding: 8px 15px;
	}
	
	.group-filters-button-m-destination::before{
		font-family: "Font Awesome 6 Free";
		content: "\f7a2";
		font-size: 18px;
		display: inline-block;
		font-weight: 900;
		left: 0;
	}
	
	.filters-v, .filters-l{
		display: none;
	}
	
	.rlanding-item.items-summary{
		display: none;
	}
	
	.filters-v-wrap.sticky-filters{
		position: unset;
	}
	
	.group-filters-button-m-active{
		position: fixed;
		top: 0;
		left: 0;
		z-index: 99999;
		text-align: left;
		padding: 10px 24px;
		width: 100vw;
		height: 45px;
	}
	
	.group-filters-button-m-active::before{
		font-family: "Font Awesome 5 Free";
		content: "\f053";
		font-size: 18px;
		display: inline-block;
		padding: 0 10px;
		font-weight: 900;
		color: #fda54e;
		left: 0;
	}
	
	.filters-v.filters-m-active{
		display: block;
		position: fixed;
		top: 45px;
		left: 0;
		z-index: 99999;
		width: 100vw;
		height: calc(100% - 104px);
		overflow-y: scroll;
		box-shadow: none;
	}
	
	.filters-l.filters-m-active{
		display: block;
		position: fixed;
		top: 40px;
		left: 0;
		z-index: 99999;
		width: 100vw;
		height: 100%;
		overflow-y: scroll;
	}
	
	.filters-m-active .filters-v-content{
		max-height: 0;
		overflow: hidden;
		transition: max-height 0.2s ease-out;
	}
	
	.filters-m-active .filters-v-title::after{
		font-family: "Font Awesome 5 Free";
		content: "\f107";
		font-size: 15px;
		display: inline-block;
		color: #000;
		padding: 0 10px;
		font-weight: 900;
		right: 0;
		top: 15px;
		position: absolute;
	}
	
	.filters-m-active .filters-v-title.active::after{
		font-family: "Font Awesome 5 Free";
		content: "\f106";
		font-size: 15px;
		display: inline-block;
		color: #000;
		padding: 0 10px;
		font-weight: 900;
		right: 0;
		top: 15px;
		position: absolute;
	}
	
	.filters-v-title:hover {
		background-color: #fff;
	}
	
	.filter-confirmation-buttons-wrap{
		/*display: none;*/
		display: block;
		width: 100%;
		font-size: 16px;
		position: fixed;
		bottom: 0;
		left: 0;
	}
	
	.filter-confirmation-buttons-wrap-container{
		display: flex;
		flex-direction: row;
		background: #fff;
	}
	
	.filter-confirmation-button-wrap{
		margin: 10px auto 15px;
	}
	
	.filter-confirmation-button{
		padding: 10px 20px;
		border-radius: 4px;
		background: #2eb82e;
		color: #fff;
	}
	
	.remove-filters{
		padding: 10px 20px;
		border-radius: 4px;
		background: #ff4444;
		color: #fff;
	}
	
}



